#Install.cmd script for the S4PPLUS system
#  
# Install questions
#    var 1  = irb type
#    var 10 = temp use.
echo -text ""
echo -text "IRB 540 540x 56x0 S4P"
echo -text ""
setvar -var 10 -value 0
getkey -id "IrbSelect" -var 10 -strvar $ANSWER -errlabel NO_STD_ROBOT
goto -strvar $ANSWER
#
#IRB580_12_T00F11B21V21H31_cm1
echo -text "Installing 580_12_T00F11B21V21H31_cm1"
install -resource Function -name "IRB" -descr "580_12_T00F11B21V21H31_cm1"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_580_12_T00F11B21V21H31_cm1_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_12_T00F11B21V21H31_cm1_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_12_T00F11B21V21H31_cm1_pnt3.cfg -domain MOC
goto -label IRB_6AX_CNVSIDE
#
#IRB580_13_T11F21B21V21H31_cm1
echo -text "Installing 580_13_T11F21B21V21H31_cm1"
install -resource Function -name "IRB" -descr "580_13_T11F21B21V21H31_cm1"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_580_13_T11F21B21V21H31_cm1_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_13_T11F21B21V21H31_cm1_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_13_T11F21B21V21H31_cm1_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB580_14_T21F41B21V21H31_cm1
echo -text "Installing 580_14_T21F41B21V21H31_cm1"
install -resource Function -name "IRB" -descr "580_14_T21F41B21V21H31_cm1"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_580_14_T21F41B21V21H31_cm1_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_14_T21F41B21V21H31_cm1_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_14_T21F41B21V21H31_cm1_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#
#IRB5400_12_T00F11B13V13H13
echo -text "Installing 5400_12_T00F11B13V13H13"
install -resource Function -name "IRB" -descr "5400_12_T00F11B13V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_12_T00F11B13V13H13_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_12_T00F11B13V13H13_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_12_T00F11B13V13H13_pnt3.cfg -domain MOC
goto -label IRB_6AX_CNVSIDE
#
#IRB5400_12_T00F11B13m1V13H13
echo -text "Installing 5400_12_T00F11B13m1V13H13"
install -resource Function -name "IRB" -descr "5400_12_T00F11B13m1V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_12_T00F11B13m1V13H13_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_12_T00F11B13m1V13H13_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_12_T00F11B13m1V13H13_pnt3.cfg -domain MOC
goto -label IRB_6AX_CNVSIDE
#
#IRB5400_13_T11F21B13V13H13
echo -text "Installing 5400_13_T11F21B13V13H13"
install -resource Function -name "IRB" -descr "5400_13_T11F21B13V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_13_T11F21B13V13H13_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_13_T11F21B13V13H13_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_13_T11F21B13V13H13_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_13_T11F21B13m1V13H13
echo -text "Installing 5400_13_T11F21B13m1V13H13"
install -resource Function -name "IRB" -descr "5400_13_T11F21B13m1V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_13_T11F21B13m1V13H13_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_13_T11F21B13m1V13H13_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_13_T11F21B13m1V13H13_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_13_T11m1F21B13V13H13
echo -text "Installing 5400_13_T11m1F21B13V13H13"
install -resource Function -name "IRB" -descr "5400_13_T11F21B13V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_13_T11m1F21B13V13H13_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_13_T11m1F21B13V13H13_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_13_T11m1F21B13V13H13_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_14_T21F41B13V13H13
echo -text "Installing 5400_14_T21F41B13V13H13"
install -resource Function -name "IRB" -descr "5400_14_T21F41B13V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_14_T21F41B13V13H13_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_14_T21F41B13V13H13_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_14_T21F41B13V13H13_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_14_T21F41B13m1V13H13
echo -text "Installing 5400_14_T21F41B13m1V13H13"
install -resource Function -name "IRB" -descr "5400_14_T21F41B13m1V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_14_T21F41B13m1V13H13_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_14_T21F41B13m1V13H13_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_14_T21F41B13m1V13H13_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_14_T21m1F41B13V13H13
echo -text "Installing 5400_14_T21m1F41B13V13H13"
install -resource Function -name "IRB" -descr "5400_14_T21m1F41B13V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_14_T21m1F41B13V13H13_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_14_T21m1F41B13V13H13_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_14_T21m1F41B13V13H13_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_14_T21p1F41B13m1V13H13
echo -text "Installing 5400_14_T21p1F41B13m1V13H13"
install -resource Function -name "IRB" -descr "5400_14_T21p1F41B13m1V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_14_T21p1F41B13m1V13H13_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_14_T21p1F41B13m1V13H13_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_14_T21p1F41B13m1V13H13_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_17_T31F51B13m1V13H13
echo -text "Installing 5400_17_T31F51B13m1V13H13"
install -resource Function -name "IRB" -descr "5400_17_T31F51B13m1V13H13"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_17_T31F51B13m1V13H13_rr_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_17_T31F51B13m1V13H13_rr_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_17_T31F51B13m1V13H13_rr_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib8.cfg -domain MOC
goto -label IRB_8AX_CNVSIDE
#
#IRB5400_22_T00F11B13V13H42
echo -text "Installing 5400_22_T00F11B13V13H42"
install -resource Function -name "IRB" -descr "5400_22_T00F11B13V13H42"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_22_T00F11B13V13H42_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_22_T00F11B13V13H42_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_22_T00F11B13V13H42_pnt3.cfg -domain MOC
goto -label IRB_6AX_CNVSIDE
#
#
#IRB5400_22_T00F11B13p1V13H42
echo -text "Installing 5400_22_T00F11B13p1V13H42"
install -resource Function -name "IRB" -descr "5400_22_T00F11B13p1V13H42"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_22_T00F11B13p1V13H42_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_22_T00F11B13p1V13H42_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_22_T00F11B13p1V13H42_pnt3.cfg -domain MOC
goto -label IRB_6AX_CNVSIDE
#
#IRB5400_23_T11F21B13V13H42
echo -text "Installing 5400_23_T11F21B13V13H42"
install -resource Function -name "IRB" -descr "5400_23_T11F21B13V13H42"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_23_T11F21B13V13H42_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_23_T11F21B13V13H42_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_23_T11F21B13V13H42_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_23_T11m1F21B13V13H42
echo -text "Installing 5400_23_T11m1F21B13V13H42"
install -resource Function -name "IRB" -descr "5400_23_T11m1F21B13V13H42"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_23_T11m1F21B13V13H42_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_23_T11m1F21B13V13H42_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_23_T11m1F21B13V13H42_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_24_T21F41B13V13H42
echo -text "Installing 5400_24_T21F41B13V13H42"
install -resource Function -name "IRB" -descr "5400_24_T21F41B13V13H42"
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_24_T21F41B13V13H42_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_24_T21F41B13V13H42_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_24_T21F41B13V13H42_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#IRB5400_24_T21m1F41B13V13H42
echo -text "Installing 5400_24_T21m1F41B13V13H42"
install -resource Function -name "IRB" -descr "5400_24_T21m1F41B13V13H42"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_24_T21m1F41B13V13H42_r_pnt3.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_24_T21m1F41B13V13H42_r_pnt3.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_24_T21m1F41B13V13H42_r_pnt3.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label IRB_7AX_CNVSIDE
#
#
#
#
#IRB_6AX_CNVSIDE
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB_6axR
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label LEFT
if -var 1 -value 40 -label RIGHT
if -var 1 -value 50 -label RIGHT
#RIGHT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_6axR_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#LEFT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_6axL_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#
#
#IRB_7AX_CNVSIDE
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label RIGHT
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label LEFT
if -var 1 -value 40 -label RIGHT
if -var 1 -value 50 -label RIGHT
#RIGHT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_7axR_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#LEFT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_7axL_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#
#
#IRB_8AX_CNVSIDE
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label RIGHT_RIGHT
#QUERY
echo -text "Select IRB Type and CNV Location."
echo -text " "
echo -text "Which configuration? "
echo -text "EX: RR - Right type, Right side of CNV"
query -text "   RR      RL          LR      LL   " \
	-var 1 -fk_text
if -var 1 -value 10 -label RIGHT_RIGHT
if -var 1 -value 20 -label RIGHT_LEFT
if -var 1 -value 40 -label LEFT_RIGHT
if -var 1 -value 50 -label LEFT_LEFT
#RIGHT_RIGHT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_8axRR_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#RIGHT_LEFT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_8axRL_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#LEFT_RIGHT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_8axLR_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#LEFT_LEFT
config -filename  $BOOTPATH/irbcfg/EXT_IRB_8axLL_pnt3.cfg -domain MOC -replace
goto -label END_LABEL
#
#
#END_LABEL
echo -text "No calibration data available"
config -filename  $BOOTPATH/irbcfg/uncalib.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/runchn.cfg -domain MOC -internal


